slepc-3.21.1 2024-04-26
Report Typos and Errors

# EPSLOBPCGSetRestart

Sets the restart parameter for the LOBPCG method.

### Synopsis

    #include "slepceps.h"
    PetscErrorCode EPSLOBPCGSetRestart(EPS eps,PetscReal restart)

Logically Collective

### Input Parameters

| eps | - the eigenproblem solver context
| restart | - the percentage of the block of vectors to force a restart

### Options Database Key

| -eps_lobpcg_restart | - Sets the restart parameter

### Notes

The meaning of this parameter is the proportion of vectors within the current block iterate that must have converged in order to force a restart with hard locking. Allowed values are in the range [0.1,1.0]. The default is 0.9.

### See Also

EPSLOBPCGGetRestart()

### Level

advanced

### Location

src/eps/impls/cg/lobpcg/lobpcg.c
Index of all EPS routines
Table of Contents for all manual pages
Index of all manual pages